#!/bin/sh

###################################################
# Copyright 2015 VMware, Inc.  All rights reserved.
###################################################


if [ "`id -u`" != "0" ]; then
   #
   # Requires permission to access the checkBlastServerStatus.
   #
   echo "CheckBlastServerStatus.sh must be executed as superuser"
   exit 1
fi

PID_FILE=/tmp/vmware-root/pidofvmwareblast
PORT=$1
BLAST_PID=

if [ -f $PID_FILE ]; then
   BLAST_PID=`cat $PID_FILE`
fi

PORT=$1
MKS_LISTEN_PID=`lsof -i:$PORT |grep -i LISTEN |grep vmwblast |awk '{print $2}'`

if [ "$BLAST_PID" != "" ]; then
   if [ "$MKS_LISTEN_PID" = "$BLAST_PID" ]; then
      rm -f $PID_FILE
      exit 0
   fi
fi

exit 2
