#!/bin/sh

###################################################
# Copyright 2015 VMware, Inc.  All rights reserved.
###################################################


if [ "`id -u`" != "0" ]; then
   #
   # StopConsoleSession.sh must be run under root privilege
   #
   echo "StopConsoleSession.sh must be executed as superuser"
   exit 1
fi

#
# Clean up /var/vmware/viewagent/logEvent if have
#
if [ -f /var/vmware/viewagent/logEvent ]; then
   >/var/vmware/viewagent/logEvent
fi

#
# Clean up /var/vmware/viewagent/screenLockStatus if have
#
if [ -f /var/vmware/viewagent/screenLockStatus ]; then
   >/var/vmware/viewagent/screenLockStatus
fi

#
# Remove view.<user> directory if have
#
if [ -d /var/vmware/view.$1 ]; then
   rm -rf "/var/vmware/view.$1"
fi
