#!/bin/sh

###################################################
# Copyright 2015 VMware, Inc.  All rights reserved.
###################################################

if [ "`id -u`" != "0" ]; then
   #
   # Requires permission to run CleanupTempFiles.sh.
   #
   echo "CleanupTempFiles.sh must be executed as superuser"
   exit 1
fi

#
# Include common functions
#
. "`dirname $0`/commonlib.sh"
define_constants

#
# Main
#

if [ -d $VIEWAGENT_TMP_PATH ]; then
    rm -rf $VIEWAGENT_TMP_PATH
fi
mkdir -p -m 777 $VIEWAGENT_TMP_ROOT
mkdir -p -m 700 $VIEWAGENT_TMP_PATH
chown vmwblast:vmwblast $VIEWAGENT_TMP_PATH

touch $VIEWAGENT_TMP_PATH/logEvent
chown vmwblast:vmwblast $VIEWAGENT_TMP_PATH/logEvent
chmod 600 $VIEWAGENT_TMP_PATH/logEvent

touch $VIEWAGENT_TMP_PATH/screenLockStatus
chown vmwblast:vmwblast $VIEWAGENT_TMP_PATH/screenLockStatus
chmod 600 $VIEWAGENT_TMP_PATH/screenLockStatus
